
QGIS Application - Bug report #19384

Crash after export map to Image

2018-07-10 06:18 PM - Torsten Hase

Status: Closed

Priority: High

Assignee:

Category: Actions

Affected QGIS version:master Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 27212

Description

QGIS 3.2 crashes after export map to image

User Feedback

Report Details

Crash ID: 059fc511cf0597c0396959d1053938bd93019461

Stack Trace

WTFCrash :

JSC::evaluate :

JSPropertyNameArrayGetCount :

JSPropertyNameArrayGetCount :

WKConnectionGetTypeID :

QWebFrameAdapter::evaluateJavaScript :

QWebFrame::evaluateJavaScript :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_CallFunctionObjArgs :

PyObject_Call :

PyInit_QtCore :

PyInit_QtCore :

PyInit_QtCore :

PyInit_QtCore :

PyInit_QtCore :

QMetaMethod::invoke :

QMetaObject::invokeMethod :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_CallFunctionObjArgs :

PyObject_Call :

PyInit_sip :

std::basic_string<char,std::char_traits<char>,std::allocator<char> >::shrink_to_fit :

QgsPresetSchemeColorRamp::clone :

QgsMapRendererCustomPainterJob::doRender :

QgsMapRendererCustomPainterJob::start :

QgsMapRendererCustomPainterJob::renderSynchronously :

QgsMapRendererTask::run :

QgsTask::start :

QThreadPoolPrivate::reset :

QThread::start :
BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.0-Bonn

QGIS code revision: commit:bc43194061

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-07-11 12:25 AM - Nyall Dawson

- Status changed from Open to Feedback

The trace makes this look like a crash from python. Can you try with a clean profile and no plugins installed?

#2 - 2018-08-16 03:14 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
